(*^

::[	frontEndVersion = "NeXT Mathematica Notebook Front End Version 2.1";
	next21StandardFontEncoding; 
	paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "Times"; ;
	fontset = Left Header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "Times"; ;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic, L1,  12, "Times"; ;
	fontset = Left Footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic, L1,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
]
:[font = title; inactive; preserveAspect; ]

The Equations of Motion for Two Vertical, Coupled Springs
:[font = subtitle; inactive; preserveAspect; ]
by Charles G. Fleming
Educational Computing Services
Allegheny College
Partially supported by a grant from the 
Vira Heinz Endowment.
:[font = subtitle; inactive; preserveAspect; ]
This notebook illustrates two methods for deriving the equations of motion for two vertical, coupled springs.  The equations of motion are obtained using Newton's second law and by Lagrange's method.

Although this notebook deals with a specific mechanical system, it should be relatively easy for the user to modify it to handle a wide variety of other mechanical systems.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The derivation of the equations of motion.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Method 1, Newton's second law
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The coordinates
:[font = text; inactive; preserveAspect; endGroup; ]
The two coupled springs are assumed to be hanging vertically, one below the other.  The first (top) spring  has a natural length denoted by nl1, and the second (bottom) spring has a natural length denoted by nl2.  For our coordinates we use y1 and y2, where y1 represents the displacement of the top spring from its natural position, and y2 represents the displacement of the bottom spring from its natural position.  Positive values for y1 or y2 represent stretched springs, while negative values correspond to compressed springs. 
;[s]
17:0,0;142,1;143,2;210,3;211,4;242,5;243,6;249,7;250,8;259,9;260,10;339,11;340,12;439,13;440,14;445,15;447,16;532,-1;
17:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Forces
:[font = text; inactive; preserveAspect; ]
The total force acting on mass 1, denoted F1,  is due to gravity, and  both springs.  The force due to gravity is given by  m1 g, where m1 denotes the mass on spring 1.  The force due to spring 1 is given by Hookes' law and equals -k1 y1, where k1 is the spring constant for spring 1.  Similarly the force on mass 1 due to spring 2  is +k2 y2.  The total force acting on mass 2,  denoted F2 , is due to gravity and  spring 2.  The force due to gravity is given by  m2 g, where m2 is the mass on spring 2.  The force due to spring 2  is given by Hookes' law, and equals -k2 y2  , where k2  is the spring constant for spring 2.

;[s]
30:0,0;43,1;44,2;125,3;127,4;137,5;138,6;233,7;234,8;236,9;237,10;246,11;247,12;338,13;339,14;341,15;342,16;389,17;391,18;466,19;467,20;478,21;479,22;571,23;572,24;574,25;576,26;586,27;589,28;625,29;627,-1;
30:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;
:[font = input; initialization; preserveAspect; endGroup; ]
*)
F1 = - k1 y1[t] + k2 y2[t] + m1 g
F2 = - k2 y2[t] + m2 g
(*
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Equations of Motion
:[font = text; inactive; preserveAspect; ]
From Newton's second law, force equals mass times acceleration.  This gives us the equations of motion.  We will subract the force from both sides.
:[font = input; initialization; preserveAspect; endGroup; endGroup; ]
*)
equ1 = 0 == -F1 + m1 D[y1[t], {t, 2}]
equ2 = 0 == -F2 + m2 D[y2[t], {t, 2}]
(*
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Method 2, Lagrange's Equations
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The coordinates
:[font = text; inactive; preserveAspect; endGroup; ]
When using Lagrange's method, it turns out to be simpler to use the coordinates Y1 and 
Y2,  where Y1 denotes the length of spring 1 and  Y2  denotes the length of spring 2.  
;[s]
9:0,0;81,1;82,2;89,3;90,4;100,5;101,6;139,7;141,8;176,-1;
9:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Kinetic Energy
:[font = text; inactive; preserveAspect; ]
The kinetic energy of the system is computed by using the usual formula.
  K.E. = 1/2 (m1 v12 + m2 v22).  We will denote the kinetic energy by T.
;[s]
11:0,0;88,1;89,2;91,3;92,4;93,5;97,6;98,7;100,8;101,9;102,10;146,-1;
11:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; initialization; preserveAspect; endGroup; ]
*)
T = (1/2) ( m1 (D[Y1[t], t])^2 + m2 (D[Y2[t], t])^2 )
(*
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Potential Energy
:[font = text; inactive; preserveAspect; ]
The potential energy of the system comes from the potential energy due to gravity and the potential energy in the springs.  The potential energy due to gravity is given by the 
- m1 g Y1[t] - m2 g Y2[t].   The potential energy due to the springs is given by
0.5 k1 (Y1[t] - nl1)2 + 0.5 k2 (Y2[t] - Y1[t] - nl2)2.  We will denote the potential
energy of the system by V.
;[s]
27:0,0;180,1;181,2;185,3;186,4;193,5;195,6;198,7;199,8;263,9;264,10;267,11;268,12;276,13;277,14;278,15;279,16;287,17;288,18;291,19;292,20;299,21;300,22;308,23;309,24;310,25;311,26;370,-1;
27:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; initialization; preserveAspect; endGroup; ]
*)
V = - m1 g Y1[t] - m2 g Y2[t] + 
   1/2 k1 (Y1[t] - nl1)^2 + 1/2 k2 (Y2[t] - Y1[t] - nl2)^2
(*
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Lagrangian
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Recall that the Lagrangian is T - V.
:[font = input; initialization; preserveAspect; endGroup; endGroup; ]
*)
L = Simplify[T - V]
(*
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Lagrange's Equations
:[font = text; inactive; preserveAspect; ]
Our last step is to compute Lagrange's equations.  These second order equations will describe the motion of the coupled springs.
:[font = input; initialization; preserveAspect; ]
*)
equ3 = 0 == D[ D[L, D[Y1[t], t]], t] - D[L, Y1[t]]
(*
:[font = input; initialization; preserveAspect; endGroup; endGroup; ]
*)
equ4 = 0 == D[ D[L, D[Y2[t], t]], t] - D[L, Y2[t]]
(*
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Comparison
:[font = text; inactive; preserveAspect; ]
We can easily compare the equations that we have obtained using the two different methods.  Since we have used two different coordinate systems, we must see how the coordinate systems are related.  It is easy to see that y1 = Y1 - nl1 and y2 = Y2 - nl2.  Substituting into equ1 and equ2 yields equ3 and equ4.
;[s]
13:0,0;222,1;223,2;227,3;228,4;233,5;234,6;240,7;241,8;245,9;246,10;251,11;252,12;310,-1;
13:1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,64,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; initialization; preserveAspect; endGroup; endGroup; ]
*)
equ1 /. {y1[t] -> Y1[t] - nl1, 
                y2[t] -> Y2[t] - Y1[t] - nl2}
equ2 /. {y1[t] -> Y1[t] - nl1,
                y2[t] -> Y2[t] - Y1[t] - nl2}
(*
^*)